# Changes to the TMD2755 Reference Driver
This file describes the changes to the TMD2755 reference driver to support 
the Software Thermal Drift Algorithm. 

## Major File Changes
- tmd2755-overlay.dts
	- cleaned up spacing
- Kbuild
	- Added thermal drift object file to list of objects
- ams_tmd2755.c
	- Corrected a Zero Detect syslog - Was using ORE_ENABLE instead of 
AUTO_ADJUST_ENABLE

	- Moved the clearing of the interrupt to the end of IRQ handler
- ams_tmd2755_prox.c
	- Updated list of essential header files
	- Conditional compile for thermal drift header file
	- Add ability to support APC - APC enabled has not been tested
	- Added enabling HW drift algorithm
	- Ingress and Egress points for Software Drift Algorithm
- ams_tmd2755_prox.h
	- Macros for enabling the Hardware Drift Algorithm
- ams_tmd2755.h
	- Macro to enable software drift algorithm
	- Added registers for configuring the HW drift algorithm
	- Added shifts and mask for Hardware drift registers 
- ams_tmd2755_thermal_drift.[c|h]
	- New files to support the software that handles the thermal drift changes
	
## How to Use Software Drift Algorithm
Uncomment the following line in the ams_tmd2755.h file:

***//#define INCLUDE_THERMAL_DRIFT_SW_ALGO***

If the Software Drift Algorithm is not needed, please leave the above line 
commented, and remove

ams_tmd2755_thermal_drift.o from the list of objects in the Kbuild file.

## Misc. Notes
- Changes were needed to the reference driver to support the Software Drift 
Algorithm.  A specific change included running the driver with the APC feature
being disabled.  The current version  of the driver, 1.11, only supports APC disabled.

A future release will support the enabling of APC.
- By default, ORE is enabled
- The Hardware Drift Algorithm is also enabled by default.  Please refer to 
the Application Notes for a detailed description of this feature.